Bug 1327050 - Review Request: can-utils - SocketCAN userspace utilities and tools
Summary: Review Request: can-utils - SocketCAN userspace utilities and tools
Keywords:
Status: ON_QA
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Panu Matilainen
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2016-04-14 07:40 UTC by Panu Matilainen
Modified: 2016-10-15 12:42 UTC (History)
4 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2016-04-22 13:09:18 UTC
linville: fedora-review+


Attachments (Terms of Use)

Description Panu Matilainen 2016-04-14 07:40:59 UTC
Spec URL: http://laiskiainen.org/can/can-utils/can-utils.spec
SRPM URL: http://laiskiainen.org/can/can-utils/can-utils-20160229git-1.fc23.src.rpm
Description: SocketCAN userspace utilities and tools
Fedora Account System Username: pmatilai

Comment 1 John W. Linville 2016-04-14 18:13:01 UTC
Minor issues -- fix the BuildRequires and I will approve it.

Package Review
==============

Legend:
[x] = Pass, [!] = Fail, [-] = Not applicable, [?] = Not evaluated
[ ] = Manual review needed


Issues:
=======
- All build dependencies are listed in BuildRequires, except for any that
  are listed in the exceptions section of Packaging Guidelines.
  Note: These BR are not needed: gcc
  See: http://fedoraproject.org/wiki/Packaging/Guidelines#Exceptions_2
- Two SHOULD items fail (due to lack of upstream support).  These do not
  have to be fixed for this review.
- Rpmlint warnings are overzealous/pedantic and not significant.


===== MUST items =====

C/C++:
[x]: Package does not contain kernel modules.
[x]: Package contains no static executables.
[x]: Package does not contain any libtool archives (.la)
[x]: Rpath absent or only used for internal libs.

Generic:
[x]: Package is licensed with an open-source compatible license and meets
     other legal requirements as defined in the legal section of Packaging
     Guidelines.
[x]: License field in the package spec file matches the actual license.
     Note: Checking patched sources after %prep for licenses. Licenses
     found: "GPL (v2 or later)", "BSD (3 clause) GPL (v2)", "Unknown or
     generated", "BSD (3 clause) GPL (unversioned/unknown version)", "*No
     copyright* BSD (3 clause) GPL (unversioned/unknown version)", "GPL (v2
     or later) (with incorrect FSF address)". 4 files have unknown license.
     Detailed output of licensecheck in /tmp/1327050-can-
     utils/licensecheck.txt
[x]: If the package is under multiple licenses, the licensing breakdown
     must be documented in the spec.
[x]: %build honors applicable compiler flags or justifies otherwise.
[x]: Package contains no bundled libraries without FPC exception.
[x]: Changelog in prescribed format.
[x]: Sources contain only permissible code or content.
[-]: Package contains desktop file if it is a GUI application.
[-]: Development files must be in a -devel package
[x]: Package uses nothing in %doc for runtime.
[x]: Package consistently uses macros (instead of hard-coded directory
     names).
[x]: Package is named according to the Package Naming Guidelines.
[x]: Package does not generate any conflict.
[x]: Package obeys FHS, except libexecdir and /usr/target.
[-]: If the package is a rename of another package, proper Obsoletes and
     Provides are present.
[x]: Requires correct, justified where necessary.
[x]: Spec file is legible and written in American English.
[-]: Package contains systemd file(s) if in need.
[x]: Useful -debuginfo package or justification otherwise.
[x]: Package is not known to require an ExcludeArch tag.
[x]: Package complies to the Packaging Guidelines
[x]: Package successfully compiles and builds into binary rpms on at least
     one supported primary architecture.
[x]: Package installs properly.
[x]: Rpmlint is run on all rpms the build produces.
     Note: There are rpmlint messages (see attachment).
[x]: If (and only if) the source package includes the text of the
     license(s) in its own file, then that file, containing the text of the
     license(s) for the package is included in %license.
[x]: Package requires other packages for directories it uses.
[x]: Package must own all directories that it creates.
[x]: Package does not own files or directories owned by other packages.
[x]: Package uses either %{buildroot} or $RPM_BUILD_ROOT
[x]: Package does not run rm -rf %{buildroot} (or $RPM_BUILD_ROOT) at the
     beginning of %install.
[x]: Macros in Summary, %description expandable at SRPM build time.
[x]: Dist tag is present.
[x]: Package does not contain duplicates in %files.
[x]: Permissions on files are set properly.
[x]: Package use %makeinstall only when make install DESTDIR=... doesn't
     work.
[x]: Package is named using only allowed ASCII characters.
[x]: Package does not use a name that already exists.
[x]: Package is not relocatable.
[x]: Sources used to build the package match the upstream source, as
     provided in the spec URL.
[x]: Spec file name must match the spec package %{name}, in the format
     %{name}.spec.
[x]: File names are valid UTF-8.
[x]: Large documentation must go in a -doc subpackage. Large could be size
     (~1MB) or number of files.
     Note: Documentation size is 0 bytes in 0 files.
[x]: Packages must not store files under /srv, /opt or /usr/local

===== SHOULD items =====

Generic:
[?]: If the source package does not include license text(s) as a separate
     file from upstream, the packager SHOULD query upstream to include it.
[x]: Final provides and requires are sane (see attachments).
[x]: Package functions as described.
[x]: Latest version is packaged.
[x]: Package does not include license text files separate from upstream.
[x]: SourceX tarball generation or download is documented.
     Note: Package contains tarball without URL, check comments
[-]: Description and summary sections in the package spec file contains
     translations for supported Non-English languages, if available.
[x]: Package should compile and build into binary rpms on all supported
     architectures.
[!]: %check is present and all tests pass.
[!]: Packages should try to preserve timestamps of original installed
     files.
[x]: Packager, Vendor, PreReq, Copyright tags should not be in spec file
[x]: Reviewer should test that the package builds in mock.
[x]: Buildroot is not present
[x]: Package has no %clean section with rm -rf %{buildroot} (or
     $RPM_BUILD_ROOT)
[x]: No file requires outside of /etc, /bin, /sbin, /usr/bin, /usr/sbin.
[x]: Uses parallel make %{?_smp_mflags} macro.
[x]: SourceX is a working URL.
[x]: Spec use %global instead of %define unless justified.

===== EXTRA items =====

Generic:
[x]: Rpmlint is run on debuginfo package(s).
     Note: There are rpmlint messages (see attachment).
[x]: Rpmlint is run on all installed packages.
     Note: There are rpmlint messages (see attachment).
[x]: Large data in /usr/share should live in a noarch subpackage if package
     is arched.
[x]: Package should not use obsolete m4 macros
[x]: Spec file according to URL is the same as in SRPM.


Rpmlint
-------
Checking: can-utils-20160229git-1.fc22.x86_64.rpm
          can-utils-20160229git-1.fc22.src.rpm
can-utils.x86_64: W: spelling-error Summary(en_US) userspace -> user space, user-space, users pace
can-utils.x86_64: W: spelling-error %description -l en_US userspace -> user space, user-space, users pace
can-utils.x86_64: W: no-version-in-last-changelog
can-utils.x86_64: W: no-documentation
can-utils.x86_64: W: no-manual-page-for-binary isotpsend
can-utils.x86_64: W: no-manual-page-for-binary slcanpty
can-utils.x86_64: W: no-manual-page-for-binary isotpdump
can-utils.x86_64: W: no-manual-page-for-binary canplayer
can-utils.x86_64: W: no-manual-page-for-binary slcand
can-utils.x86_64: W: no-manual-page-for-binary bcmserver
can-utils.x86_64: W: no-manual-page-for-binary log2asc
can-utils.x86_64: W: no-manual-page-for-binary cangen
can-utils.x86_64: W: no-manual-page-for-binary can-calc-bit-timing
can-utils.x86_64: W: no-manual-page-for-binary isotpsniffer
can-utils.x86_64: W: no-manual-page-for-binary isotptun
can-utils.x86_64: W: no-manual-page-for-binary isotpperf
can-utils.x86_64: W: no-manual-page-for-binary canlogserver
can-utils.x86_64: W: no-manual-page-for-binary candump
can-utils.x86_64: W: no-manual-page-for-binary canbusload
can-utils.x86_64: W: no-manual-page-for-binary isotpserver
can-utils.x86_64: W: no-manual-page-for-binary isotprecv
can-utils.x86_64: W: no-manual-page-for-binary cansniffer
can-utils.x86_64: W: no-manual-page-for-binary log2long
can-utils.x86_64: W: no-manual-page-for-binary cansend
can-utils.x86_64: W: no-manual-page-for-binary canfdtest
can-utils.x86_64: W: no-manual-page-for-binary cangw
can-utils.x86_64: W: no-manual-page-for-binary asc2log
can-utils.x86_64: W: no-manual-page-for-binary slcan_attach
can-utils.src: W: spelling-error Summary(en_US) userspace -> user space, user-space, users pace
can-utils.src: W: spelling-error %description -l en_US userspace -> user space, user-space, users pace
can-utils.src: W: no-version-in-last-changelog
can-utils.src: W: strange-permission can-snapshot.sh 775
can-utils.src: W: invalid-url Source0: can-utils-20160229git.tar.gz
2 packages and 0 specfiles checked; 0 errors, 33 warnings.




Rpmlint (debuginfo)
-------------------
Checking: can-utils-debuginfo-20160229git-1.fc22.x86_64.rpm
can-utils-debuginfo.x86_64: W: no-version-in-last-changelog
can-utils-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/can-utils-20160229git/slcanpty.c
can-utils-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/can-utils-20160229git/slcand.c
1 packages and 0 specfiles checked; 2 errors, 1 warnings.





Rpmlint (installed packages)
----------------------------
can-utils.x86_64: W: spelling-error Summary(en_US) userspace -> user space, user-space, users pace
can-utils.x86_64: W: spelling-error %description -l en_US userspace -> user space, user-space, users pace
can-utils.x86_64: W: no-version-in-last-changelog
can-utils.x86_64: W: no-documentation
can-utils.x86_64: W: no-manual-page-for-binary isotpsend
can-utils.x86_64: W: no-manual-page-for-binary slcanpty
can-utils.x86_64: W: no-manual-page-for-binary isotpdump
can-utils.x86_64: W: no-manual-page-for-binary canplayer
can-utils.x86_64: W: no-manual-page-for-binary slcand
can-utils.x86_64: W: no-manual-page-for-binary bcmserver
can-utils.x86_64: W: no-manual-page-for-binary log2asc
can-utils.x86_64: W: no-manual-page-for-binary cangen
can-utils.x86_64: W: no-manual-page-for-binary can-calc-bit-timing
can-utils.x86_64: W: no-manual-page-for-binary isotpsniffer
can-utils.x86_64: W: no-manual-page-for-binary isotptun
can-utils.x86_64: W: no-manual-page-for-binary isotpperf
can-utils.x86_64: W: no-manual-page-for-binary canlogserver
can-utils.x86_64: W: no-manual-page-for-binary candump
can-utils.x86_64: W: no-manual-page-for-binary canbusload
can-utils.x86_64: W: no-manual-page-for-binary isotpserver
can-utils.x86_64: W: no-manual-page-for-binary isotprecv
can-utils.x86_64: W: no-manual-page-for-binary cansniffer
can-utils.x86_64: W: no-manual-page-for-binary log2long
can-utils.x86_64: W: no-manual-page-for-binary cansend
can-utils.x86_64: W: no-manual-page-for-binary canfdtest
can-utils.x86_64: W: no-manual-page-for-binary cangw
can-utils.x86_64: W: no-manual-page-for-binary asc2log
can-utils.x86_64: W: no-manual-page-for-binary slcan_attach
can-utils-debuginfo.x86_64: W: no-version-in-last-changelog
can-utils-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/can-utils-20160229git/slcanpty.c
can-utils-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/can-utils-20160229git/slcand.c
2 packages and 0 specfiles checked; 2 errors, 29 warnings.



Requires
--------
can-utils (rpmlib, GLIBC filtered):
    libc.so.6()(64bit)
    rtld(GNU_HASH)



Provides
--------
can-utils:
    can-utils
    can-utils(x86-64)



Generated by fedora-review 0.6.0 (3c5c9d7) last change: 2015-05-20
Command line :/usr/bin/fedora-review -b 1327050
Buildroot used: fedora-22-x86_64
Active plugins: Generic, Shell-api, C/C++
Disabled plugins: Java, Python, fonts, SugarActivity, Ocaml, Perl, Haskell, R, PHP, Ruby
Disabled flags: EXARCH, DISTTAG, EPEL5, BATCH, EPEL6

Comment 2 Panu Matilainen 2016-04-15 05:45:41 UTC
> Minor issues -- fix the BuildRequires and I will approve it.
>
>  Note: These BR are not needed: gcc
>  See: http://fedoraproject.org/wiki/Packaging/Guidelines#Exceptions_2

Actually fedora-review is wrong here. There used to be such an exception list, but it was dropped in recently (last year or so) to make buildroots more minimal. See https://fedorahosted.org/fpc/ticket/497 and https://fedorahosted.org/fpc/ticket/497, in particular https://fedorahosted.org/fpc/ticket/497#comment:21

I'll have a look at the warnings and fix what makes sense (spelling etc) though.

Comment 3 John W. Linville 2016-04-18 14:36:46 UTC
OK, I'll accept that.

Comment 4 Gwyn Ciesla 2016-04-21 14:11:02 UTC
Package request has been approved: https://admin.fedoraproject.org/pkgdb/package/rpms/can-utils

Comment 5 Fedora Update System 2016-04-22 13:02:45 UTC
can-utils-20160229git-1.fc24 has been submitted as an update to Fedora 24. https://bodhi.fedoraproject.org/updates/FEDORA-2016-8c1e55e18e

Comment 6 Fedora Update System 2016-04-22 13:04:14 UTC
can-utils-20160229git-1.fc23 has been submitted as an update to Fedora 23. https://bodhi.fedoraproject.org/updates/FEDORA-2016-2c9f971c67

Comment 7 Fedora Update System 2016-04-22 13:05:49 UTC
can-utils-20160229git-1.fc22 has been submitted as an update to Fedora 22. https://bodhi.fedoraproject.org/updates/FEDORA-2016-721f1da0ae

Comment 8 Panu Matilainen 2016-04-22 13:09:18 UTC
John, thanks for the review, and you're obviously welcome as a co-maintainer if you want.

Packages built + updates submitted for all active Fedora versions, considering this case closed.

Comment 9 Fedora Update System 2016-04-23 21:23:06 UTC
can-utils-20160229git-1.fc24 has been pushed to the Fedora 24 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2016-8c1e55e18e

Comment 10 Fedora Update System 2016-04-24 06:23:10 UTC
can-utils-20160229git-1.fc23 has been pushed to the Fedora 23 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2016-2c9f971c67

Comment 11 Fedora Update System 2016-04-24 06:26:07 UTC
can-utils-20160229git-1.fc22 has been pushed to the Fedora 22 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2016-721f1da0ae

Comment 12 Fedora Update System 2016-05-02 18:53:41 UTC
can-utils-20160229git-1.fc23 has been pushed to the Fedora 23 stable repository. If problems still persist, please make note of it in this bug report.

Comment 13 Fedora Update System 2016-05-03 09:50:11 UTC
can-utils-20160229git-1.fc22 has been pushed to the Fedora 22 stable repository. If problems still persist, please make note of it in this bug report.

Comment 14 Fedora Update System 2016-05-07 11:59:16 UTC
can-utils-20160229git-1.fc24 has been pushed to the Fedora 24 stable repository. If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.